Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 5946)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 5947)
@@ -285,7 +285,7 @@
 
     >>> open('certificates.csv', 'wb').write(
-    ... """code,faculty_code,department_code,title,study_mode,start_level,end_level,max_pass,application_category
-    ... CERT1,FAC1,DEP1,Certificate 1,uf_ft,100,500,30,basic
-    ... CERT2,FAC1,DEP1,Certificate 2,uf_ft,200,400,30,cest
+    ... """code,faculty_code,department_code,title,study_mode,start_level,end_level,application_category
+    ... CERT1,FAC1,DEP1,Certificate 1,uf_ft,100,30,basic
+    ... CERT2,FAC1,DEP1,Certificate 2,uf_ft,200,30,cest
     ... """)
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5946)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5947)
@@ -470,5 +470,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<span class="required">*</span><span>title</span>
+  ...<span class="required">*</span><span>Title</span>
   ...
 
@@ -488,5 +488,4 @@
   >>> browser.getControl(name='form.end_level').value = '400'
   >>> browser.getControl(name='form.application_category').value = 'UME'
-  >>> browser.getControl(name='form.max_pass').value = '400'
 
 Finally, we create the certificate:
@@ -505,5 +504,4 @@
   >>> browser.getControl(name='form.end_level').value = '400'
   >>> browser.getControl(name='form.application_category').value = 'UME'
-  >>> browser.getControl(name='form.max_pass').value = '400'
 
   >>> browser.getControl('Add certificate').click()
@@ -626,5 +624,4 @@
   >>> browser.getControl(name='form.end_level').value = '400'
   >>> browser.getControl(name='form.application_category').value = 'UME'
-  >>> browser.getControl(name='form.max_pass').value = '400'
   >>> browser.getControl('Add certificate').click()
 
@@ -638,5 +635,4 @@
   >>> browser.getControl(name='form.end_level').value = '400'
   >>> browser.getControl(name='form.application_category').value = 'UME'
-  >>> browser.getControl(name='form.max_pass').value = '400'
   >>> browser.getControl('Add certificate').click()
   
@@ -885,8 +881,8 @@
 
   >>> open('certificates.csv', 'wb').write(
-  ... """code,title,faculty_code,department_code,study_mode,end_level,m_prefix,max_pass,start_level,application_category,review_state
-  ... LBA,BACHELOR OF LITERATURE,FA,LIT,UG,ug_ft,500,LIT,30,100,basic,checked
-  ... LMA,MASTER OF LITERATURE,FA,LIT,UG,ug_pt,500,LIT,30,100,cest,checked
-  ... DME,DIPLOMA OF MATH,FS,MAT,DP,dp_ft,200,DME,30,100,cest,unchecked
+  ... """code,title,faculty_code,department_code,study_mode,end_level,m_prefix,start_level,application_category,review_state
+  ... LBA,BACHELOR OF LITERATURE,FA,LIT,UG,ug_ft,500,LIT,100,basic,checked
+  ... LMA,MASTER OF LITERATURE,FA,LIT,UG,ug_pt,500,LIT,100,cest,checked
+  ... DME,DIPLOMA OF MATH,FS,MAT,DP,dp_ft,200,DME,100,cest,unchecked
   ... """)
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 5946)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 5947)
@@ -21,5 +21,5 @@
     def __init__(self, code=u'NA', title=u'Unnamed Certificate',
                  study_mode=None, start_level=None,
-                 end_level=None, application_category=None, max_pass = u''):
+                 end_level=None, application_category=None):
         super(Certificate, self).__init__()
         self.code = code
@@ -29,5 +29,4 @@
         self.end_level = end_level
         self.application_category = application_category
-        self.max_pass = max_pass
         # Initialize workflow state...
         self.setReviewState('unchecked')
@@ -68,5 +67,5 @@
 
     def delCourseRef(self, code, level=None):
-        """Delete a course denoted by its code.
+        """Delete a course reference denoted by its code.
         """
         for key in self.keys():
@@ -79,7 +78,4 @@
             self._p_changed = True
         return
-
-
-
 
 class CertificateFactory(grok.GlobalUtility):
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 5946)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 5947)
@@ -17,5 +17,5 @@
 --------------------
 
-.. class:: Certificate([code=u'NA',[ title=u'Unnamed Certificate',[ study_mode=None,[ start_level=None,[ end_level=None,[ application_category=None,[ m_prefix=u'',[  max_pass = u'']]]]]]]])
+.. class:: Certificate([code=u'NA',[ title=u'Unnamed Certificate',[ study_mode=None,[ start_level=None,[ end_level=None,[ application_category=None,[ m_prefix=u'']]]]]]])
 
    Create a certificate object with the given parameters.
@@ -110,14 +110,4 @@
 
    
-   .. attribute:: max_pass
-
-      Each :class:`Certificate` instance has a maximum number of passes:
-
-        >>> mycertificate.max_pass
-        u''
-
-      .. XXX: This is not a proper description
-
-
    .. method:: check()
 