Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5947)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5948)
@@ -862,8 +862,12 @@
     grok.require('waeup.manageUniversity')
     grok.name('add')
-    form_fields = grok.AutoFields(IFaculty)
     label = ''
     title = 'Add faculty'
     pnav = 1
+    
+    # We need a deepcopy here, because otherwise also all other
+    # IFaculty forms would be affected.
+    form_fields = copy.deepcopy(grok.AutoFields(IFaculty))
+    form_fields.get('code').field.readonly = False    
 
     @grok.action('Add faculty')
@@ -923,8 +927,12 @@
     grok.name('add')
     grok.require('waeup.manageUniversity')
-    form_fields = grok.AutoFields(IDepartment)
     title = 'Add department'
     label = ''
     pnav = 1
+    
+    # We need a deepcopy here, because otherwise also all other
+    # IDepartment forms would be affected.
+    form_fields = copy.deepcopy(grok.AutoFields(IDepartment))
+    form_fields.get('code').field.readonly = False
     
     @grok.action('Add department')
@@ -954,7 +962,8 @@
     grok.name('manage')
     grok.require('waeup.manageUniversity')
+    title = 'Edit faculty'
+    pnav = 1
+
     form_fields = grok.AutoFields(IFaculty)
-    title = 'Edit faculty'
-    pnav = 1
 
     @grok.action('Save')
@@ -1082,6 +1091,10 @@
     title = u'Add certificate'
     pnav = 1
-    form_fields = grok.AutoFields(ICertificate)
-    
+    
+    # We need a deepcopy here, because otherwise also all other
+    # ICertificate forms would be affected.
+    form_fields = copy.deepcopy(grok.AutoFields(ICertificate))
+    form_fields.get('code').field.readonly = False
+        
     @grok.action('Add certificate')
     def addCertificate(self, **data):
@@ -1220,12 +1233,7 @@
     grok.name('manage')
     grok.require('waeup.manageUniversity')
-    # We omit 'code' field from original schema and set prepend a new
-    # one with 'readonly' set to True.
-    form_fields = grok.Fields(
-        code = schema.TextLine(
-            title = u'Code', readonly=True
-            )
-        ) + grok.AutoFields(ICertificate).omit('code')
-    pnav = 1
+    pnav = 1
+    
+    form_fields = grok.AutoFields(ICertificate)
 
     @property
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 5947)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 5948)
@@ -30,4 +30,12 @@
     """Representation of a university faculty.
     """
+    code = schema.TextLine(
+        title = u'Code',
+        description = u'Abbreviated code of the faculty',
+        default = u'NA',
+        required = True,
+        readonly = True,
+        )
+
     title = schema.TextLine(
         title = u'Name of Faculty',
@@ -42,11 +50,4 @@
         )
     
-    code = schema.TextLine(
-        title = u'Code',
-        description = u'Abbreviated code of the faculty',
-        default = u'NA',
-        required = True,
-        )
-
 class IFacultyContainer(IWAeUPContainer):
     """A container for faculties.
@@ -60,4 +61,12 @@
     """Representation of a department.
     """
+    code = schema.TextLine(
+        title = u'Code',
+        default = u'NA',
+        description = u'Abbreviated code of the department',
+        required = True,
+        readonly = True,
+        )
+
     title = schema.TextLine(
         title = u'Name of Department',
@@ -69,11 +78,4 @@
         title = u'Title prefix',
         default = u'department',
-        required = True,
-        )
-    
-    code = schema.TextLine(
-        title = u'Code',
-        default = u'NA',
-        description = u'Abbreviated code of the department',
         required = True,
         )
@@ -139,8 +141,9 @@
         description = u'Abbreviated code of the certificate.',
         required = True,
+        readonly = True,
         )
 
     review_state = schema.Choice(
-        title = u'review state',
+        title = u'Review State',
         default = 'unchecked',
         values = ['unchecked', 'checked']
@@ -148,33 +151,27 @@
 
     title = schema.TextLine(
-        title = u'title',
+        title = u'Title',
         required = True,
         )
 
     study_mode = schema.TextLine(
-        title = u'study mode',
+        title = u'Study Mode',
         required = True,
         )
 
     start_level = schema.TextLine(
-        title = u'start level',
+        title = u'Start Level',
         required = True,
         )
     
     end_level = schema.TextLine(
-        title = u'end level',
+        title = u'End Level',
         required = True,
         )
     
     application_category = schema.TextLine(
-        title = u'application category',
+        title = u'aApplication Category',
         required = False,
-        )
-    
-    max_pass = schema.TextLine(
-        title = u'maximum pass',
-        required = False,
-        )
-    
+        )   
 
     