Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5948)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5949)
@@ -1100,11 +1100,14 @@
     def addCertificate(self, **data):
         certificate = createObject(u'waeup.Certificate')
-        try:
-            self.applyData(certificate, **data)
-        except NoTransitionAvailableError:
-            self.status = Invalid('Review state cannot be changed to '
-                                  'requested state: no such transition '
-                                  'available in workflow.')
-            return
+        self.applyData(certificate, **data)
+        
+        #try:
+        #    self.applyData(certificate, **data)
+        #except NoTransitionAvailableError:
+        #    self.status = Invalid('Review state cannot be changed to '
+        #                          'requested state: no such transition '
+        #                          'available in workflow.')
+        #    return
+        
         try:
             self.context.certificates.addCertificate(certificate)
@@ -1244,21 +1247,26 @@
     @grok.action('Save')
     def save(self, **data):
-        try:
-            self.applyData(self.context, **data)
-        except NoTransitionAvailableError:
-            self.status = Invalid('Review state cannot be changed to '
-                                  'requested state: no such transition '
-                                  'available in workflow.')
-        return
+        self.applyData(self.context, **data)
+        
+        #try:
+        #    self.applyData(self.context, **data)
+        #except NoTransitionAvailableError:
+        #    self.status = Invalid('Review state cannot be changed to '
+        #                          'requested state: no such transition '
+        #                          'available in workflow.')
+        #return
     
     @grok.action('Save and return')
     def saveAndReturn(self, **data):
-        try:
-            self.applyData(self.context, **data)
-        except NoTransitionAvailableError:
-            self.status = Invalid('Review state cannot be changed to '
-                                  'requested state: no such transition '
-                                  'available in workflow.')
-            return
+        self.applyData(self.context, **data)
+        
+        #try:
+        #    self.applyData(self.context, **data)
+        #except NoTransitionAvailableError:
+        #    self.status = Invalid('Review state cannot be changed to '
+        #                          'requested state: no such transition '
+        #                          'available in workflow.')
+        #    return
+        
         self.redirect(self.url(self.context))
         return
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 5948)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 5949)
@@ -30,30 +30,30 @@
         self.application_category = application_category
         # Initialize workflow state...
-        self.setReviewState('unchecked')
+        # self.setReviewState('unchecked')
 
-    def check(self):
-        """Set Review State to ``checked``.
-        """
-        self.setReviewState(state='checked')
+    #def check(self):
+    #    """Set Review State to ``checked``.
+    #    """
+    #    self.setReviewState(state='checked')
 
-    def getReviewState(self):
-        return IWorkflowState(self).getState()
+    #def getReviewState(self):
+    #    return IWorkflowState(self).getState()
 
-    def setReviewState(self, state=None):
-        """Try to set new state.
+    #def setReviewState(self, state=None):
+    #    """Try to set new state.
 
-        Instead of simply setting a value, we fire a transition of a
-        workflow. This might fail if, for instance, the required state
-        is not part of the workflow or unreachable from current state.
-        """
-        if state == self.getReviewState():
-            # Accept staying in the same state, even if workflow does
-            # not allow this.
-            return
-        info = IWorkflowInfo(self)
-        info.fireTransitionToward(state)
-        return
+    #    Instead of simply setting a value, we fire a transition of a
+    #    workflow. This might fail if, for instance, the required state
+    #    is not part of the workflow or unreachable from current state.
+    #    """
+    #    if state == self.getReviewState():
+    #        # Accept staying in the same state, even if workflow does
+    #        # not allow this.
+    #        return
+    #    info = IWorkflowInfo(self)
+    #    info.fireTransitionToward(state)
+    #    return
 
-    review_state = property(getReviewState, setReviewState)
+    #review_state = property(getReviewState, setReviewState)
     
     def addCourseRef(self, course, level=100, core_or_elective=True):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 5948)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 5949)
@@ -58,17 +58,4 @@
         u'NA'
 
-   .. attribute:: review_state
-
-      The review state can have one of the ``checking`` states defined
-      in the WAeUP workflow. These are at least the states ``checked``
-      and ``unchecked``. After a certificate is created, the review
-      state is ``unchecked``:
-
-        >>> mycertificate.review_state
-        'unchecked'
-
-      .. seealso::
-         :meth:`Certificate.check` -- mark a certificate as ``checked``
-
 
    .. attribute:: study_mode
@@ -108,32 +95,4 @@
 
       .. XXX: This is not a proper description
-
-   
-   .. method:: check()
-
-      Mark a certificate instance's review state as ``checked``:
-
-        >>> mycertificate.review_state
-        'unchecked'
-
-        >>> mycertificate.check()
-        >>> mycertificate.review_state
-        'checked'
-
-      We cannot uncheck a certificate:
-
-        >>> mycertificate.review_state = 'unchecked'
-        Traceback (most recent call last):
-	...
-        NoTransitionAvailableError
-
-      The only states accepted at all are ``checked`` and
-      ``unchecked``. If we want to set something else this won't work:
-
-        >>> mycertificate.review_state = 'nonsense'
-        Traceback (most recent call last):
-	...
-        NoTransitionAvailableError
-
 
    .. method:: addCourseRef(course[, level=100,[ core_or_elective=True]])
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 5948)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 5949)
@@ -144,9 +144,9 @@
         )
 
-    review_state = schema.Choice(
-        title = u'Review State',
-        default = 'unchecked',
-        values = ['unchecked', 'checked']
-        )
+    #review_state = schema.Choice(
+    #    title = u'Review State',
+    #    default = 'unchecked',
+    #    values = ['unchecked', 'checked']
+    #    )
 
     title = schema.TextLine(
@@ -171,5 +171,5 @@
     
     application_category = schema.TextLine(
-        title = u'aApplication Category',
+        title = u'Application Category',
         required = False,
         )   