Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 5977)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 5978)
@@ -286,6 +286,6 @@
     >>> open('certificates.csv', 'wb').write(
     ... """code,faculty_code,department_code,title,study_mode,start_level,end_level,application_category
-    ... CERT1,FAC1,DEP1,Certificate 1,uf_ft,100,30,basic
-    ... CERT2,FAC1,DEP1,Certificate 2,uf_ft,200,30,cest
+    ... CERT1,FAC1,DEP1,Certificate 1,uf_ft,100,300,basic
+    ... CERT2,FAC1,DEP1,Certificate 2,uf_ft,200,300,cest
     ... """)
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5977)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5978)
@@ -485,6 +485,6 @@
 
   >>> browser.getControl(name='form.study_mode').value = 'combined'
-  >>> browser.getControl(name='form.start_level').value = '100'
-  >>> browser.getControl(name='form.end_level').value = '400'
+  >>> browser.getControl(name='form.start_level').value = ['100']
+  >>> browser.getControl(name='form.end_level').value = ['400']
   >>> browser.getControl(name='form.application_category').value = 'UME'
 
@@ -501,6 +501,6 @@
   >>> browser.getControl(name='form.code').value = 'CERT1'
   >>> browser.getControl(name='form.study_mode').value = 'combined'
-  >>> browser.getControl(name='form.start_level').value = '100'
-  >>> browser.getControl(name='form.end_level').value = '400'
+  >>> browser.getControl(name='form.start_level').value = ['100']
+  >>> browser.getControl(name='form.end_level').value = ['400']
   >>> browser.getControl(name='form.application_category').value = 'UME'
 
@@ -596,5 +596,5 @@
 
 Once we have a certificate, we can add also certificate courses. These
-are references to courses with some extra data.
+are referrers of courses with some extra data.
 
 Before we can work with certificate courses, we need some certificates
@@ -621,6 +621,6 @@
   >>> browser.getControl(name='form.title').value = 'Certificate 1'
   >>> browser.getControl(name='form.study_mode').value = 'combined'
-  >>> browser.getControl(name='form.start_level').value = '100'
-  >>> browser.getControl(name='form.end_level').value = '400'
+  >>> browser.getControl(name='form.start_level').value = ['100']
+  >>> browser.getControl(name='form.end_level').value = ['400']
   >>> browser.getControl(name='form.application_category').value = 'UME'
   >>> browser.getControl('Add certificate').click()
@@ -632,6 +632,6 @@
   >>> browser.getControl(name='form.title').value = 'Certificate 2'
   >>> browser.getControl(name='form.study_mode').value = 'combined'
-  >>> browser.getControl(name='form.start_level').value = '100'
-  >>> browser.getControl(name='form.end_level').value = '400'
+  >>> browser.getControl(name='form.start_level').value = ['100']
+  >>> browser.getControl(name='form.end_level').value = ['400']
   >>> browser.getControl(name='form.application_category').value = 'UME'
   >>> browser.getControl('Add certificate').click()
@@ -644,5 +644,5 @@
 with their code as key.
 
-Each certificate provides a ``Add course`` action button near top.
+Each certificate provides a ``Add course referrer`` action button near top.
 
 Certificates provide an add-form to add new certcourses:
@@ -666,10 +666,11 @@
 
   >>> ctrl.getControl('COURSE1').selected = True
-  >>> browser.getControl('Add course').click()
+  >>> browser.getControl(name='form.level').value = ['100']  
+  >>> browser.getControl('Add course referrer').click()
 
 Our certificatecourse will be linked on the parent certificate page:
 
   >>> browser.open(cert_url)
-  >>> browser.getLink('COURSE1').click()
+  >>> browser.getLink('COURSE1_100').click()
   >>> browser.url
   'http://localhost/my...sity/faculties/TF/TD/certificates/CERT1/COURSE1_100'
@@ -692,10 +693,10 @@
 
   >>> browser.open(cert_url + '/COURSE1_100')
-  >>> browser.getLink('Edit course reference').click()
+  >>> browser.getLink('Edit course referrer').click()
 
 Let's set a new level (it was 100 before) and save the form. This will
 bring us to the certificate index page afterwards:
 
-  >>> browser.getControl(name='form.level').value = "200" 
+  >>> browser.getControl(name='form.level').value = ['200']      
   >>> ctrl = browser.getControl("Save and return")
   >>> ctrl.click()
@@ -703,5 +704,5 @@
 As we changed the level, also the URL will change:
 
-  >>> browser.getLink('COURSE1').click()
+  >>> browser.getLink('COURSE1_200').click()
   >>> browser.url
   'http://localhost/myun.../TF/TD/certificates/CERT1/COURSE1_200'
@@ -710,9 +711,9 @@
 changed:
 
-  >>> browser.getLink('Edit course reference').click()
-  >>> browser.getControl(name='form.level').value = "666"
+  >>> browser.getLink('Edit course referrer').click()
+  >>> browser.getControl(name='form.level').value = ['400']
   >>> browser.getControl('Cancel').click()
 
-Our certcourse provides a new level of 200 and not 666:
+Our certcourse provides a new level of 200 and not 400:
 
   >>> browser.open(cert_url + '/COURSE1_200')
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/api.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/api.txt	(revision 5977)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/api.txt	(revision 5978)
@@ -22,5 +22,5 @@
    facultycontainer.txt
 
-Additional infos about the references to courses and how they are
+Additional infos about the referrers of courses and how they are
 handled can be found in:
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 5977)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.txt	(revision 5978)
@@ -98,18 +98,17 @@
    .. method:: addCourseRef(course[, level=100,[ core_or_elective=True]])
 
-      Add a reference to a course. A course is an object implementing
+      Add a referrer of a course. A course is an object implementing
       :class:`waeup.sirp.interfaces.ICourse`.
 
-      Please don't be confused by the term 'reference'. This just
-      means an ordinary :class:`waeup.sirp.university.course.Course` object
-      in almost all cases. As this object will normaly be one stored
-      in a department, the course here will simply become a reference
-      to the 'real' one in the department container.
+      Please don't be confused by the term 'referrer'. As course objects 
+      will normaly be  stored
+      in a department, the course referrer refers to 
+      the 'real' course in the department container.
 
    .. method:: delCourseRef(code)
 
-      Remove a course from a certificate.
-
-      The course must be given by its code number.
+      Remove a course referrer from a certificate.
+
+      The referrer must be given by its code number.
 
 :class:`CertificateCourse`
@@ -118,13 +117,12 @@
 .. class:: CertificateCourse(course[, level=100[, core_or_elective=True]])
 
-   Create a certificate course.
-
-   A certificate-course is a course (:class:`Course`) which is part of
-   a certificate. Normally, certificate-courses are held in
+   Create a course referrer.
+
+   A certificate course (old term) or course referrer are held in
    certificates and refer to an existing :class:`Course` instance held
    elsewhere.
 
-   A certificate can require several courses and one
-   course can be required by several certificates.
+   A certificate can require several course referrers and one
+   course referrer can be required by several certificates.
 
    .. attribute:: course
@@ -223,10 +221,10 @@
    instance is removed from a container.
 
-   Tries to remove all referencing :class:`CertificateCourse`
-   instances that reference the removed course.
+   Tries to remove all referring :class:`CertificateCourse`
+   instances that refer to a removed course.
 
    To accomplish that, the parents of the removed course are looked up
-   for a certifcate container which contains a certificate-course that
-   contains a reference to the deleted course.
+   for a certifcate container which contains a course referrer that
+   refers to the deleted course.
 
    .. seealso:: :ref:`removecertificatecourses`
@@ -290,5 +288,5 @@
 
 If a certificate course requires a certain course and this is course
-is deleted, also the referencing certificate course is deleted.
+is deleted, also the referring certificate course is deleted.
 
 We setup a data structure that reflects typical usage. It looks like
@@ -356,6 +354,6 @@
     ['mydept']
 
-The certificate-course we stored in the certificate is indeed a
-reference to the course, not a copy of it:
+The course referrer we stored in the certificate is indeed a
+referrer of the course, not a copy of it:
 
     >>> course = newdbroot['mydept'].courses['MYCOURSE']
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/courserefs.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/courserefs.txt	(revision 5977)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/courserefs.txt	(revision 5978)
@@ -1,21 +1,21 @@
-Course references
-*****************
+Course referrers
+****************
 
-Courses are referenced by certificate courses.
+Courses are referred to by certificate courses.
 
 :Test-Layer: functional
 
-We can be sure, that when removing courses or references to them,
+We can be sure, that when removing courses or referrers of them,
 other data will be handled in a way we expect. That is, 
 
-* when we remove a course, we want all references to it be removed as
+* when we remove a course, we want all referrers to it be removed as
   well
 
-* when we remove a reference to a course, nothing else should be
-  touched but only this very reference.
+* when we remove a referrer of a course, nothing else should be
+  touched but only this very referrer.
 
 
-As correct deletion of references needs support of catalogs (we lookup
-catalogs to find references), we need a fully blown ZODB here,
+As correct deletion of referrer needs support of catalogs (we lookup
+catalogs to find referrers), we need a fully blown ZODB here,
 including an instance of :class:`waeup.sirp.app.University`, as this is our
 `ISite` object where the catalogs are stored.
@@ -59,5 +59,5 @@
     >>> fac['DEPT2'].courses.addCourse(course)
 
-Finally, we add a certificate with references (certificate courses) to
+Finally, we add a certificate with referrers (certificate courses) to
 the created courses:
 
@@ -77,5 +77,5 @@
     ...   fac['DEPT2'].courses['CRS2'], level=200)
 
-So, we have three references in our certificate to two different
+So, we have three referrers in our certificate of two different
 courses stored somewhere in the application:
 
@@ -83,5 +83,5 @@
     [u'CRS1_100', u'CRS2_100', u'CRS2_200']
 
-Both, the courses themselves and the references to them, are the same
+Both, the courses themselves and the referrers of them, are the same
 (not only equal):
 
@@ -92,5 +92,5 @@
     True
 
-If we remove the course, also the reference to it in the cert course
+If we remove the course, also the select item in the certificate course
 will be gone:
 
@@ -108,6 +108,6 @@
     []
 
-If we remove a reference, this will not touch the referenced course
-nor other references:
+If we remove a referrer of a course, this will not touch the course
+nor other referrers:
 
     >>> del fac['DEPT'].certificates['CERT']['CRS2_200']