Index: main/waeup.sirp/trunk/src/waeup/sirp/image/README.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/README.txt	(revision 5978)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/README.txt	(revision 5979)
@@ -4,6 +4,6 @@
 The image file widget is built on top of the ImageFile object::
 
-  >>> from waeup.sirp.image import ImageFile
-  >>> file = ImageFile('foo.jpg', 'mydata')
+  >>> from waeup.sirp.image import WAeUPImageFile
+  >>> file = WAeUPImageFile('foo.jpg', 'mydata')
   >>> file.filename
   'foo.jpg'
@@ -16,5 +16,5 @@
   'mydata'
 
-We can also create ImageFile objects from file-like objects::
+We can also create WAeUPImageFile objects from file-like objects::
 
   >>> from StringIO import StringIO
@@ -33,5 +33,5 @@
   'test data'
 
-The ImageFile object normally stores the file data using ZODB
+The WAeUPImageFile object normally stores the file data using ZODB
 persistence. Files can however also be stored by tramline.  If
 tramline is installed in Apache, the Tramline takes care of generating
@@ -70,5 +70,5 @@
 just '1') will now be created::
 
-  >>> file = ImageFile('foo.jpg', '1')
+  >>> file = WAeUPImageFile('foo.jpg', '1')
 
 The data is now '1', referring to the real file::
@@ -99,5 +99,5 @@
 We expect the same behavior as when tramline is not installed::
 
-  >>> file = ImageFile('foo.jpg', 'data')
+  >>> file = WAeUPImageFile('foo.jpg', 'data')
   >>> f = file.file
   >>> f.read()
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/__init__.py	(revision 5978)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/__init__.py	(revision 5979)
@@ -3,3 +3,3 @@
 Includings schemas, widgets and the content components.
 """
-from waeup.sirp.image.image import ImageFile
+from waeup.sirp.image.image import WAeUPImageFile
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/image.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/image.py	(revision 5978)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/image.py	(revision 5979)
@@ -25,10 +25,10 @@
 from hurry.file import HurryFile
 from zope.interface import implements
-from waeup.sirp.image.interfaces import IImageFile
+from waeup.sirp.image.interfaces import IWAeUPImageFile
 
-class ImageFile(HurryFile):
+class WAeUPImageFile(HurryFile):
     """A file prepared for storing image files.
 
     This file type is built upon :class:`hurry.file.HurryFile`.
     """
-    implements(IImageFile)
+    implements(IWAeUPImageFile)
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py	(revision 5978)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/interfaces.py	(revision 5979)
@@ -22,11 +22,14 @@
 """Interfaces for waeup.sirp.image
 """
-from zope.app.file.interfaces import IImage
-from hurry.file.interfaces import IFile, IFileRetrieval
+from hurry.file.interfaces import IFile, IFileRetrieval, IHurryFile
 
-class IImageFile(IFile, IImage):
+class IImageFile(IFile):
     """Image file field.
     """
-
+    
+class IWAeUPImageFile(IHurryFile):
+    """Image file.
+    """
+    
 class IImageFileRetrieval(IFileRetrieval):
     """A file retrieval for images.
Index: main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py	(revision 5978)
+++ main/waeup.sirp/trunk/src/waeup/sirp/image/schema.py	(revision 5979)
@@ -25,10 +25,13 @@
 from hurry.file.schema import File
 from waeup.sirp.image.interfaces import IImageFile
-from waeup.sirp.image.image import ImageFile as ImageFileContent
+from waeup.sirp.image.image import WAeUPImageFile
 
 class ImageFile(File):
-    """An image file.
+    """An image file field.
+
+    Suitable for interfaces that wish to store image files in an
+    attribute.
     """
     implements(IImageFile)
 
-    _type = ImageFileContent
+    _type = WAeUPImageFile