Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 5985)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/batchprocessing.txt	(revision 5986)
@@ -286,6 +286,6 @@
     >>> open('certificates.csv', 'wb').write(
     ... """code,faculty_code,department_code,title,study_mode,start_level,end_level,application_category
-    ... CERT1,FAC1,DEP1,Certificate 1,uf_ft,100,300,basic
-    ... CERT2,FAC1,DEP1,Certificate 2,uf_ft,200,300,cest
+    ... CERT1,FAC1,DEP1,Certificate 1,ug_ft,100,300,basic
+    ... CERT2,FAC1,DEP1,Certificate 2,ug_ft,200,300,cest
     ... """)
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5985)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5986)
@@ -484,8 +484,8 @@
 Set the remaining required fields:
 
-  >>> browser.getControl(name='form.study_mode').value = 'combined'
+  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
-  >>> browser.getControl(name='form.application_category').value = 'UME'
+  >>> browser.getControl(name='form.application_category').value = ['basic']
 
 Finally, we create the certificate:
@@ -500,8 +500,8 @@
   >>> ctrl.value = 'Another cert with same code'
   >>> browser.getControl(name='form.code').value = 'CERT1'
-  >>> browser.getControl(name='form.study_mode').value = 'combined'
+  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
-  >>> browser.getControl(name='form.application_category').value = 'UME'
+  >>> browser.getControl(name='form.application_category').value = ['basic']
 
   >>> browser.getControl('Add certificate').click()
@@ -620,8 +620,8 @@
   >>> browser.getControl(name='form.code').value = 'CERT1'
   >>> browser.getControl(name='form.title').value = 'Certificate 1'
-  >>> browser.getControl(name='form.study_mode').value = 'combined'
+  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
-  >>> browser.getControl(name='form.application_category').value = 'UME'
+  >>> browser.getControl(name='form.application_category').value = ['basic']
   >>> browser.getControl('Add certificate').click()
 
@@ -631,8 +631,8 @@
   >>> browser.getControl(name='form.code').value = 'CERT2'
   >>> browser.getControl(name='form.title').value = 'Certificate 2'
-  >>> browser.getControl(name='form.study_mode').value = 'combined'
+  >>> browser.getControl(name='form.study_mode').value = ['ume_ft']
   >>> browser.getControl(name='form.start_level').value = ['100']
   >>> browser.getControl(name='form.end_level').value = ['400']
-  >>> browser.getControl(name='form.application_category').value = 'UME'
+  >>> browser.getControl(name='form.application_category').value = ['basic']
   >>> browser.getControl('Add certificate').click()
   
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 5985)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 5986)
@@ -6,5 +6,8 @@
                                    
 from waeup.sirp.university.vocabularies import (course_levels,
-                                                semester, CourseSource)                                   
+                                                semester,
+                                                application_category, 
+                                                study_mode,
+                                                CourseSource)                                   
 
 class IFaculty(IWAeUPContainer):
@@ -172,6 +175,7 @@
         )
 
-    study_mode = schema.TextLine(
+    study_mode = schema.Choice(
         title = u'Study Mode',
+        vocabulary = study_mode,
         default = u'ug_ft',
         required = True,
@@ -194,8 +198,9 @@
         )
     
-    application_category = schema.TextLine(
+    application_category = schema.Choice(
         title = u'Application Category',
+        vocabulary = application_category,
         default = u'basic',
-        required = False,
+        required = True,
         )   
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 5985)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 5986)
@@ -1,2 +1,5 @@
+"""Vocabularies and sources for the academics section.
+"""
+
 from waeup.sirp.interfaces import SimpleWAeUPVocabulary
 from zc.sourcefactory.basic import BasicSourceFactory
@@ -9,18 +12,41 @@
                                    
 course_levels = SimpleWAeUPVocabulary(
-              ('Year 1 (100)',100),
-              ('Year 2 (200)',200),
-              ('Year 3 (300)',300),
-              ('Year 4 (400)',400),
-              ('Year 5 (500)',500),
-              ('Year 6 (600)',600),
-              ('Year 7 (700)',700),
-              ('Year 8 (800)',800),
+              ('100 (Year 1)',100),
+              ('200 (Year 2)',200),
+              ('300 (Year 3)',300),
+              ('400 (Year 4)',400),
+              ('500 (Year 5)',500),
+              ('600 (Year 6)',600),
+              ('700 (Year 7)',700),
+              ('800 (Year 8)',800),
               )
               
 semester = SimpleWAeUPVocabulary(
-            ('N/A', 0), ('First Semester', 1),
-            ('Second Semester', 2), ('Combined', 3))              
-              
+            ('N/A', 0), 
+            ('First Semester', 1),
+            ('Second Semester', 2), 
+            ('Combined', 3)
+            )     
+            
+application_category = SimpleWAeUPVocabulary(
+            ('--',''),
+            ('PUME, PDE, PCE, PRENCE','basic'),
+            ('Part-Time, Diploma, Certificate','cest'),
+            ('Sandwich','sandwich'),
+            ('Postgraduate','pg'),
+            )
+            
+study_mode = SimpleWAeUPVocabulary(
+            ('UME Full Time','ume_ft'),
+            ('Direct Entry Full Time','de_ft'),
+            ('Diploma Full Time','dp_ft'),
+            ('Diploma Part Time','dp_pt'),
+            ('Undergraduate Full Time','ug_ft'),
+            ('Undergraduate Part Time','ug_pt'),
+            ('Postgraduate Full Time','pg_ft'),
+            ('Postgraduate Part Time','pg_pt'),
+            )        
+            
+
 class CourseSource(BasicSourceFactory):
     """A course source delivers all courses inside the portal by looking