Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 5977)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 5987)
@@ -2,71 +2,71 @@
 
 <table class="zebra">
-  <thead>
-  </thead>
-  <tbody>
+<thead>
+</thead>  
+<tbody>
+  <tal:block repeat="widget view/widgets">
     <tr>
-      <td>Code:</td>
-      <td tal:content="context/__name__">CODE</td>
-    </tr>   
-    <tr>
-      <td>Title:</td>
-      <td tal:content="context/title">THE TITLE</td>
+      <td tal:define="hint widget/hint">
+        <label tal:condition="python:hint"
+               tal:attributes="for widget/name">
+          <span i18n:translate=""
+                         tal:content="widget/label">label</span>
+        </label>
+        <label tal:condition="python:not hint"
+               tal:attributes="for widget/name">
+          <span i18n:translate=""
+                         tal:content="widget/label">label</span>
+        </label>
+      </td>
+      <td class="field">
+        <div class="widget" tal:content="structure widget">
+          <input type="text" />
+        </div>
+        <div class="error" tal:condition="widget/error">
+          <span tal:replace="structure widget/error">error</span>
+        </div>
+      </td>
     </tr>
-    <tr>
-      <td>Start Level:</td>
-      <td tal:content="context/start_level">START_LEVEL</td>
-    </tr>
-    <tr>
-      <td>End Level:</td>
-      <td tal:content="context/end_level">END_LEVEL</td>
-    </tr>
-    <tr>
-      <td>Study Mode:</td>
-      <td tal:content="context/study_mode">STUDY_MODE</td>
-    </tr>
-    <tr>
-      <td>Application Category:</td>
-      <td tal:content="context/application_category">APPLICATION_CATEGORY</td>
-    </tr>    
-  </tbody>
+  </tal:block>
+</tbody>
 </table>
 
 <h3><span tal:content="context/__name__">Code</span> Course Referrers</h3>
 
-    <table class="zebra">
-      <thead>
-        <tr>
-          <th>Course Referrer</th>
-          <th>Course</th>
-          <th>Title</th>
-          <th>Level</th>
-          <th>Semester</th>
-          <th>Mandatory</th>
-          <th>&nbsp;</th>
-        </tr>      
-      </thead>    
-      <tbody>
-      <span tal:omit-tag="" tal:repeat="level python: sorted(view.getCourseList().items())">
-      <span tal:omit-tag="" tal:repeat="semester python: sorted(level[1].items())">
-      <tr tal:repeat="courseref python:semester[1]">
-        <td> <a href="" tal:attributes="href courseref/url" tal:content="courseref/code">courseref code</a></td>
-        <td> <a href="" tal:attributes="href courseref/course_url" tal:content="courseref/course/code">course code</a></td>
-        <td tal:content="courseref/title">title</td>
-        <td tal:content="python:level[0]">level</td>
-        <td tal:content="python:semester[0]">semester</td>
-        <td tal:content="courseref/mandatory">mandatory</td>
-        <td>
-            <form method="POST">
-              <input type="hidden" name="code" 
-            	 value="" tal:attributes="value courseref/course/code" />
-              <input type="hidden" name="level" 
-            	 value="" tal:attributes="value python:level[0]" />
-              <input type="submit" name="delcourse" value="delete" />
-             </form>        
-        </td>
-      </tr>
-      </span>
-      </span>
-      </tbody>
-    </table>
+<table class="zebra">
+  <thead>
+    <tr>
+      <th>Course Referrer</th>
+      <th>Course</th>
+      <th>Title</th>
+      <th>Level</th>
+      <th>Semester</th>
+      <th>Mandatory</th>
+      <th>&nbsp;</th>
+    </tr>      
+  </thead>    
+  <tbody>
+  <span tal:omit-tag="" tal:repeat="level python: sorted(view.getCourseList().items())">
+  <span tal:omit-tag="" tal:repeat="semester python: sorted(level[1].items())">
+  <tr tal:repeat="courseref python:semester[1]">
+    <td> <a href="" tal:attributes="href courseref/url" tal:content="courseref/code">courseref code</a></td>
+    <td> <a href="" tal:attributes="href courseref/course_url" tal:content="courseref/course/code">course code</a></td>
+    <td tal:content="courseref/title">title</td>
+    <td tal:content="python:level[0]">level</td>
+    <td tal:content="python:semester[0]">semester</td>
+    <td tal:content="courseref/mandatory">mandatory</td>
+    <td>
+        <form method="POST">
+          <input type="hidden" name="code" 
+        	 value="" tal:attributes="value courseref/course/code" />
+          <input type="hidden" name="level" 
+        	 value="" tal:attributes="value python:level[0]" />
+          <input type="submit" name="delcourse" value="delete" />
+         </form>        
+    </td>
+  </tr>
+  </span>
+  </span>
+  </tbody>
+</table>
 