Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 6008)
@@ -127,4 +127,14 @@
     """
     grok.context(interfaces.IDepartment)
+    
+class CourseBreadcrumb(FacultyBreadcrumb):
+    """A breadcrumb for courses.
+    """
+    grok.context(interfaces.ICourse)   
+    
+class CertificateBreadcrumb(FacultyBreadcrumb):
+    """A breadcrumb for certificates.
+    """
+    grok.context(interfaces.ICertificate)        
 
 class CourseContainerBreadcrumb(Breadcrumb):
@@ -146,5 +156,5 @@
     @property
     def title(self):
-        return self.context.course.title
+        return self.context.longtitle()
 
 def getBreadcrumb(obj, viewname=None):
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 6008)
@@ -693,5 +693,5 @@
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   ...<td>Level:</td>
-  ...<td>200</td>
+  ...<td>200 (Year 2)</td>
   ...
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6008)
@@ -43,4 +43,5 @@
 from waeup.sirp.university.catalog import search
 from waeup.sirp.widgets.interfaces import ITableProvider
+from waeup.sirp.university.vocabularies import course_levels
 
 grok.context(IWAeUPObject)
@@ -1513,5 +1514,9 @@
     @property
     def title(self):
-        return 'Course Referrer: %s' % (self.context.__name__)
+        return 'Course Referrer: %s' % (self.context.longtitle())
+    
+    @property    
+    def leveltitle(self):
+        return course_levels.getTerm(self.context.level).title
 
 class CertificateCourseManageFormPage(WAeUPEditFormPage):
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatecoursepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatecoursepage.pt	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatecoursepage.pt	(revision 6008)
@@ -1,25 +1,33 @@
-<h2 tal:content="context/__name__">TITLE</h2>
+<h2 tal:content="context/longtitle">TITLE</h2>
 
-<table class="listing">
+<table class="zebra">
   <thead>
   </thead>
   <tbody>
-    <tr class="odd">
+    <tr>
       <td>Code:</td>
       <td tal:content="context/__name__">CODE</td>
     </tr>  
-    <tr class="even">
+    <tr>
       <td>Course Code:</td>
       <td tal:content="context/getCourseCode">THE COURSE</td>
     </tr>    
-    <tr class="even">
+    <tr>
       <td>Course Title:</td>
       <td tal:content="context/course/title">THE TITLE</td>
     </tr>
-    <tr class="odd">
+    <tr>
+      <td>Provided by:</td>
+      <td> 
+      <span tal:content="python: context.course.__parent__.__parent__.longtitle()">DEPARTMENT</span>
+      <br />
+      <span tal:content="python: context.course.__parent__.__parent__.__parent__.longtitle()">FACULTY</span>
+      </td>
+    </tr>    
+    <tr>
       <td>Level:</td>
-      <td tal:content="context/level">LEVEL</td>
+      <td tal:content="view/leveltitle">LEVEL</td>
     </tr>
-    <tr class="even">
+    <tr>
       <td>Is mandatory course (not elective):</td>
       <td tal:content="context/core_or_elective">MANDATORY</td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 6008)
@@ -1,3 +1,3 @@
-<h2 tal:content="context/title">TITLE</h2>
+<h2 tal:content="context/longtitle">TITLE</h2>
 
 <table class="zebra">
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 6008)
@@ -13,4 +13,5 @@
 from waeup.sirp.university.interfaces import (
     ICertificate, ICertificateAdd, ICertificateCourse, ICourse)
+from waeup.sirp.university.vocabularies import course_levels    
 
 class Certificate(grok.Container):
@@ -56,4 +57,7 @@
 
     #review_state = property(getReviewState, setReviewState)
+    
+    def longtitle(self):
+        return "%s (%s)" % (self.title,self.code)  
     
     def addCourseRef(self, course, level=100, core_or_elective=True):
@@ -105,4 +109,8 @@
         """
         return self.course.code
+        
+    def longtitle(self):
+        return "%s in level %s" % (self.course.code,
+                   course_levels.getTerm(self.level).title)    
     
 class CertificateCourseFactory(grok.GlobalUtility):
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/course.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/course.py	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/course.py	(revision 6008)
@@ -24,4 +24,7 @@
         self.semester = semester
         
+    def longtitle(self):
+        return "%s (%s)" % (self.title,self.code)        
+        
 class CourseFactory(grok.GlobalUtility):
     """A factory for courses.
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 6007)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 6008)
@@ -154,4 +154,9 @@
         required = True,
         )
+        
+    def longtitle():
+        """
+        Returns the long title of a course.
+        """        
 
 class ICourseAdd(ICourse):
@@ -221,4 +226,9 @@
         )   
 
+    def longtitle():
+        """
+        Returns the long title of a certificate.
+        """        
+
 class ICertificateAdd(ICertificate):
     """Representation of a certificate.
@@ -273,4 +283,9 @@
         """
         
+    def longtitle():
+        """
+        Returns the long title of a certificatecourse.
+        """          
+        
         
 class ICertificateCourseAdd(ICertificateCourse):