Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6016)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6017)
@@ -15,6 +15,5 @@
 from hurry.workflow.interfaces import NoTransitionAvailableError
 from zope import schema
-from waeup.sirp.browser.resources import warning
-from waeup.sirp.browser.resources import datepicker, tabs
+from waeup.sirp.browser.resources import warning, datepicker, tabs, datatable
 try:
     from zope.authentication.interfaces import (
@@ -1134,11 +1133,28 @@
     def title(self):
         return self.context.longtitle()   
+        
+    def getCourses(self):
+        """Get a list of all stored courses.
+        """
+        for key, val in self.context.courses.items():
+            url = self.url(val)
+            yield(dict(url=url, name=key, container=val)) 
+
+    def getCertificates(self):
+        """Get a list of all stored certificates.
+        """
+        for key, val in self.context.certificates.items():
+            url = self.url(val)
+            yield(dict(url=url, name=key, container=val))                     
 
     def update(self):
         tabs.need()
-        self.tables = ITableProvider(self.context).getTables(view=self)
-        self.coursetable = self.tables[0]
-        self.certificatetable = self.tables[1]
-        self.coursetable.need()
+        datatable.need() 
+    #    self.tables = ITableProvider(self.context).getTables(view=self)
+    #    self.coursetable = self.tables[0]
+    #    self.certificatetable = self.tables[1]
+    #    self.coursetable.need()
+        super(DepartmentManageFormPage, self).update()
+        return
 
     form_fields = grok.AutoFields(IDepartment)
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 6016)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 6017)
@@ -186,5 +186,5 @@
 #: other <div>s disappear. See
 #:
-#:   http://jqueryui.com/demos/tabs/
+#:   http://www.datatables.net/
 #:
 #: for details.
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/datatables.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/datatables.css	(revision 6016)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/datatables.css	(revision 6017)
@@ -158,17 +158,17 @@
 
 .paginate_disabled_previous {
-	background-image: url('../images/back_disabled.jpg');
+	background-image: url('back_disabled.jpg');
 }
 
 .paginate_enabled_previous {
-	background-image: url('../images/back_enabled.jpg');
+	background-image: url('back_enabled.jpg');
 }
 
 .paginate_disabled_next {
-	background-image: url('../images/forward_disabled.jpg');
+	background-image: url('forward_disabled.jpg');
 }
 
 .paginate_enabled_next {
-	background-image: url('../images/forward_enabled.jpg');
+	background-image: url('forward_enabled.jpg');
 }
 
@@ -210,21 +210,21 @@
 
 .sorting_asc {
-	background: url('../images/sort_asc.png') no-repeat center right;
+	background: url('sort_asc.png') no-repeat center right;
 }
 
 .sorting_desc {
-	background: url('../images/sort_desc.png') no-repeat center right;
+	background: url('sort_desc.png') no-repeat center right;
 }
 
 .sorting {
-	background: url('../images/sort_both.png') no-repeat center right;
+	background: url('sort_both.png') no-repeat center right;
 }
 
 .sorting_asc_disabled {
-	background: url('../images/sort_asc_disabled.png') no-repeat center right;
+	background: url('sort_asc_disabled.png') no-repeat center right;
 }
 
 .sorting_desc_disabled {
-	background: url('../images/sort_desc_disabled.png') no-repeat center right;
+	background: url('sort_desc_disabled.png') no-repeat center right;
 }
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6016)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6017)
@@ -74,8 +74,28 @@
     
 <div id="tab-2">  
-    <div name="thecoursetable" tal:condition="python: len(context.courses.keys())">
-	<div tal:replace="structure view/coursetable/renderHTML"></div>
-    </div> 
-    <br />
+    <table id="datatable" class="display">
+      <thead>
+        <tr>
+          <th>&nbsp;</th><th>Code</th><th>Title</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="entry view/getCourses"
+    	class="gradeB">
+    	  <td>
+            <input type="checkbox" name="val_id" tal:attributes="value entry/name" />
+          </td>
+          <td>
+        	<a href=""
+        	   tal:attributes="href entry/url"
+        	   tal:content="entry/name">Name</a>
+          </td>
+          <td tal:content="entry/container/title">
+    	       Title
+          </td> 
+        </tr>
+      </tbody>
+    </table>
+    <br /><br />
     <div id="actionsView">
         <span class="actionButtons" tal:condition="view/availableActions">
@@ -90,8 +110,28 @@
 
 <div id="tab-3">  
-    <div name="thecerttable">
-	<div tal:replace="structure view/certificatetable/renderHTML"></div>
-    </div> 
-    <br />
+    <table id="datatable" class="display">
+      <thead>
+        <tr>
+          <th>&nbsp;</th><th>Code</th><th>Title</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="entry view/getCertificates"
+    	class="gradeB">
+    	  <td>
+            <input type="checkbox" name="val_id" tal:attributes="value entry/name" />
+          </td>
+          <td>
+        	<a href=""
+        	   tal:attributes="href entry/url"
+        	   tal:content="entry/name">Name</a>
+          </td>
+          <td tal:content="entry/container/title">
+    	       Title
+          </td> 
+        </tr>
+      </tbody>
+    </table>
+    <br /><br />
     <div id="actionsView">
         <span class="actionButtons" tal:condition="view/availableActions">